EDIT - bug #6376

NPE when deduplicating agent
01/24/2017 09:40 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.6

Severity: normal Found in Version: Release 4.5
Description

Hi,

folgende Fehlermeldung kam eben beim Deduplizieren.
schone Grif3e, Nadja

login : n.korotkova
editor version : 4.5.0
server : apil.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp
schema version : 4.1.0.0.201607300000
os : Windows 7 6.1 amdé64
java : 1.8.0_20
java.lang.NullPointerException

at eu.etaxonomy.cdm.api.service.AgentServiceImpl.delete (AgentServiceImpl. java:145)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.Jjava:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWit
hInvocation (TransactionInterceptor.java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWith
inTransaction (TransactionAspectSupport.java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (Trans
actionInterceptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)
at com.sun.proxy.S$SProxyl574.delete (Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtil
s.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Re
flectiveMethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:157)

at org.springframework.remoting.support.RemoteInvocationTraceInterceptor.invoke (Re
moteInvocationTraceInterceptor. java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)
at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.S$Proxyl891.delete (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. ja
va:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemoteInvocation.j
ava:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (Def
aultRemoteInvocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (Remot
eInvocationBasedExporter.java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCre
ateResult (RemoteInvocationBasedExporter. java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleReque
st (HttpInvokerServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpReques
tHandlerAdapter. java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.
java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet.j
ava:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServle
t.Jjava:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:8

71)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet. java:
845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder. java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja
va:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.inv
oke (FilterSecurityInterceptor. java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doF
ilter(FilterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (Exc
eptionTranslationFilter. java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (Sessi
onManagementFilter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFi
lter.doFilter (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (
RequestCacheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.d
oFilterInternal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy. java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (Lo
goutFilter.java:120)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy. java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (Hea
derWriterFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFil
ter (SecurityContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrati
onFilter.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (F
ilterChainProxy. java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainP
roxy.java:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy. jav
a:1706)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingF
ilterProxy.java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterP
roxy.java:262)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja
va:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (Charact
erEncodingFilter. java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilt
er.java:107)

at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. ja

va:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:22
3)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:11
27)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler. java:185
)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:106
1)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandler
Collection.java:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635

at org.eclipse.jetty.util.thread.QueuedThreadPool$3. run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTra
celfPossible (RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemotelInvo
cationResult.java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemo
teInvocationResult (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.

java:208)

at com.sun.proxy.SProxy76.delete (Unknown Source)
at eu.etaxonomy.taxeditor.bulkeditor.input.AgentEditorInput.delete (AgentEditorInpu

t.java:160)

at eu.etaxonomy.taxeditor.bulkeditor.input.AgentEditorInput.delete (AgentEditorInpu

t.java:l)

at eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineDocumentProvider.doSave
Document (AnnotatedLineDocumentProvider. java:280)

at org.eclipse.uil.texteditor.AbstractDocumentProvider$l$SaveOperation.execute (Abst
ractDocumentProvider. java:610)

at org.eclipse.ui.texteditor.AbstractDocumentProvider$DocumentProviderOperation.ru

n (AbstractDocumentProvider. java:74)

at org.eclipse.

umentProvider. java:553)

at org.eclipse.

tProvider. java:629)

at org.eclipse.

a:5048)

at org.eclipse.

7)

ui.texteditor.AbstractDocumentProvider.executeOperation (AbstractDoc

ul.texteditor.AbstractDocumentProvider.saveDocument (AbstractDocumen

ui.texteditor.AbstractTextEditor.performSave (AbstractTextEditor. jav

ui.texteditor.AbstractTextEditor.doSave (AbstractTextEditor.java:483

at eu.etaxonomy.taxeditor.annotatedlineeditor.AnnotatedLineEditor.doSave (Annotated

LineEditor.java:250)

at eu.etaxonomy.taxeditor.bulkeditor.BulkEditor.doSave (BulkEditor.java:263)

at

org

extEditor.java:7177)

at
at
at
at
at
64)
at
at
at
at
at
at
at
eclipse.

eclipse.
eclipse.
ul.texteditor.AbstractTextEditor$TextEditorSavable.doSave (AbstractT

ui.Saveable.doSave (Saveable. java:214)
ui.internal.SaveableHelper.doSaveModel (SaveableHelper. java:349)
ui.internal.SaveableHelper$3.run (SaveableHelper. java:195)
ui.internal.SaveableHelper$5.run (SaveableHelper. java:277)
jface.operation.ModalContext.runInCurrentThread (ModalContext. java:4

jface.operation.ModalContext.run (ModalContext.java:372)
jface.window.ApplicationWindow$1l.run (ApplicationWindow. java:759)
swt.custom.BusyIndicator.showWhile (BusyIndicator. java:70)
jface.window.ApplicationWindow.run (ApplicationWindow. java:756)
ui.internal.WorkbenchWindow.run (WorkbenchWindow. java:2649)
ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp

ui.internal.SaveableHelper.runProgressMonitorOperation (SaveableHelp

ui.internal.SaveableHelper.saveModels (SaveableHelper. java:207)
ui.internal.SaveableHelper.savePart (SaveableHelper.java:144)
ui.internal.EditorManager.savePart (EditorManager. java:1399)
ui.internal.WorkbenchPage.savePart (WorkbenchPage. java:3416)
ui.internal.WorkbenchPage.saveEditor (WorkbenchPage.java:3429)
ui.internal.handlers.SaveHandler.execute (SaveHandler. java:54)
ui.internal.handlers.HandlerProxy.execute (HandlerProxy. java:293)
core.commands.Command.executeWithChecks (Command. java:476)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC

ui.internal.handlers.HandlerService.executeCommand (HandlerService. j
ui.internal.handlers.SlaveHandlerService.executeCommand (SlaveHandle
ui.menus.CommandContributionItem.handleWidgetSelection (CommandContr
uil.menus.CommandContributionItem.access$19 (CommandContributionItem.
ui.menus.CommandContributionItem$5.handleEvent (CommandContributionI
swt.widgets.EventTable.sendEvent (EventTable. java:84)
swt.widgets.Widget.sendEvent (Widget. java:1053)
swt.widgets.Display.runDeferredEvents (Display. java:4165)

swt.widgets.Display.readAndDispatch (Display.java:3754)
ui.internal.Workbench.runEventLoop (Workbench. java:2701)
ipseAppLauncher.

uncher. java:79)

at
at
at
at
at
at
at
at

at

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

ui.internal.Workbench.runUI (Workbench. java:2665)
ui.internal.Workbench.access$4 (Workbench. java:2499)
ui.internal.Workbench$7.run (Workbench. java:679)
core.databinding.observable.Realm.runWithDefault (Realm. java:332)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)

org.eclipse.

org.eclipse.

java:110)

at

at
at
at
at
at
at
at
at
at
at

org.eclipse.

org.eclipse.
org.eclipse.
sun.reflect.
sun.reflect.
sun.reflect.

equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (Ecl
core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseApplLa

core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
NativeMethodAccessorImpl.invokeO (Native Method)
NativeMethodAccessorImpl.invoke (Unknown Source)
DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.
org.eclipse.
org.eclipse.
org.eclipse.

equinox.launcher.Main.invokeFramework (Main. java:622)
equinox.launcher.Main.basicRun (Main. java:577)
equinox.launcher.Main.run (Main. java:1410)
equinox.launcher.Main.main (Main. java:1386)

Associated revisions

Revision fa70a2ef - 01/24/2017 02:10 PM - Katja Luther

fix #6376: remove markAsDelete for merged items in bulk editor

History

#1 - 01/24/2017 02:27 PM - Katja Luther

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|fa70a2efe1035f9f977cc24552dfbe07b8703ab9.

#2 - 02/02/2017 01:31 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#3 - 02/16/2017 08:18 PM - Andreas Miuller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther

Difficult to test as there is no description how to reproduce. Anyway | tested some deduplications and it works. Also as far | can see it was only one
line of code that really changed. So | guess it is ok.

#4 - 02/16/2017 08:19 PM - Andreas Miiller
- % Done changed from 50 to 100
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/fa70a2efe1035f9f977cc24552dfbe07b8703ab9
http://www.tcpdf.org

